//@ sourceURL=dispositivos.js 
jQuery(function($){

	initRupI18nPromise.then(function() {
		prepareData();	
		
		$("#dispositivos_filter_form").rup_validate({
		    liveCheckingErrors: false,
		    showFieldErrorAsDefault: true,
		    showErrorsInFeedback: true,
		    showFieldErrorsInFeedback: true,
		    rules:{
		    	"fInstalacion23Desde":{date:true},
		    }
		});
		
		$("#dispositivos_filter_form [ruptype='date']").blur(function(elem) { 

			if(!$(elem.target).valid()){
	            $(elem.target).val('')
	        }

		})
	});
	
	function prepareData(){
		
		$("#idDispositivo35_filter_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			onLoadSuccess: function(obj){
//				if(isSoloLecturaSolicitud){
//					obj.rup_combo("disable",true);
//				}
			},
			selected:''
		});
		
		$("#idTerminal34_filter_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			onLoadSuccess: function(obj){
//				if(isSoloLecturaSolicitud){
//					obj.rup_combo("disable",true);
//				}
			},
			selected:''
		});
		
		
		
		
		$('#fInstalacion23Desde_filter_table').rup_date({
			//yearRange: 'c-120:c-40',
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			noWeekend : true
		});
		
		/*DOMICILIOS*/
		if($("#idprovincia06_avisos_dialog_table").length == 1){			
			$("#idprovincia06_avisos_dialog_table").rup_combo({
				source:  $.rup.CTX_PATH + 'nora/provincias',
				sourceParam: {label: "descProvincia", value:"codProvincia"},
				rowStriping: true,
				width: 'auto',
				blank: '',
				customClasses: ['select-material'],
				change: function(){
					
				},
				selected: (function(){ try { return solicitantes.direcciones.idProvincia06} catch { return null}})()
			});
			
			
		}
	
	
		if($("#idmunicipio06_avisos_dialog_table").length == 1){
			//MUNICIPIO
			$("#idmunicipio06_avisos_dialog_table").rup_combo({
				parent: ["idprovincia06_avisos_dialog_table"],			
				source: $.rup.CTX_PATH + 'nora/municipioEnlazado',
				sourceParam: {label: "descripcion", value:"codMunicipio"},
				rowStriping: true,
				width: 'auto',
				blank: '',
				customClasses: ['select-material'],
				change: function(){
					
				},
				selected: (function(){ try { return solicitantes.direcciones.idMunicipio06} catch { return null}})()
			});
		}
		
		const fecha = new Date();
		const anoActual = fecha.getFullYear();
		$("#fInstalacion23Desde_filter_table").rup_date("setRupValue", "01/01/"+anoActual);
		
		let tableColModels = [	
			
				{ 	name: "solicitantes.identificador01",
					index: "solicitantes.identificador01",
					editable: true, 
					hidden: false
				},			
				{ 	name: "solicitantes.nombreCompleto",
					index: "solicitantes.nombreCompleto",
					editable: true, 
					hidden: false
				},
				
				{ 	name: "fInstalacion23",
					index: "fInstalacion23",
					editable: true, 
					hidden: false
				},
				{ 	name: "terminal23.desc",
					index: "terminal23.desc",
					editable: true, 
					hidden: true
				},
				{ 	name: "dispositivo23.desc",
					index: "dispositivo23.desc",
					editable: true, 
					hidden: false
				},
				{ 	name: 'solicitantes.direcciones.provinciaNORA.descProvincia',
					index: 'solicitantes.direcciones.provinciaNORA.descProvincia',
					editable: true, 
					hidden: false
				},
				{ 	name: 'solicitantes.direcciones.municipioNORA.descripcion',
					index: 'solicitantes.direcciones.municipioNORA.descripcion',
					editable: true, 
					hidden: false
				},
				{
					name:'idDispSol23',
					index:'idDispSol23',
					editable:false,
					hidden:true
				}
				];
	
		let columnDefs = [ 
			
		];
		
		$("#dispositivos").rup_table({
			colReorder: {
			 fixedColumnsLeft: 1
			}
			,colModel: tableColModels
			,columnDefs : columnDefs
			,primaryKey: "idDispSol23"
			,filter:{
	  	  		id:"dispositivos_filter_form",
	  	  		filterToolbar:"dispositivos_filter_toolbar",
	  	  		collapsableLayerId:"dispositivos_filter_fieldset",
	  	  		showHidden: true
			}
	   		,select: {
	       		activate: true
	   		}
	   		,noEdit : true
			,seeker: {
				activate: true
			}
	   		,buttons: {
				activate: true,
				contextMenu: false,
				blackListButtons: ['addButton', 'editButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton'],
			}
			,order: [[0, "asc"]]
		});
	}
});